Bug 1250030 (CVE-2015-5707) - CVE-2015-5707 kernel: number wraparound vulnerability in function start_req()
Summary: CVE-2015-5707 kernel: number wraparound vulnerability in function start_req()
Status: NEW
Alias: CVE-2015-5707
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150322,repor...
Keywords: Security
Depends On: 1250034 1293521
Blocks: 1250036
TreeView+ depends on / blocked
 
Reported: 2015-08-04 11:45 UTC by Adam Mariš
Modified: 2019-02-08 14:56 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer-overflow vulnerability was found in the scsi block-request handling code in function start_req(). A local attacker could use specially crafted IOV requests to overflow a counter used in bio_map_user_iov()'s page calculation, and write past the end of the array that contains kernel-page pointers.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Mariš 2015-08-04 11:45:20 UTC
This bug, which was probably introduced in Linux 2.6.28, was assigned CVE.
In drivers/scsi/sg.c in function start_req(), there was code segment vulnerable to number wraparound in the calculation of total number of pages in bio_map_user_iov().
This can result to allocating small array of pointers to pages that would be overflowed. It was fixed in Linux 4.1-rc1.

CVE assignment:
http://seclists.org/oss-sec/2015/q3/278

Upstream patches:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=fdc81f45e9f57858da6351836507fbcf1b7583ee
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=451a2886b6bf90e2fb378f7c46c655450fb96e81

Comment 1 Adam Mariš 2015-08-04 11:55:22 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1250034]

Comment 2 Wade Mealing 2015-12-22 01:27:17 UTC
Statement:

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux 6, 7 MRG-2 and realtime kernels and does not plan be addressed in a future update.


Note You need to log in before you can comment on or make changes to this bug.